From e44f69b2750c7b98a86a7d5ae0ab891d19390e81 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Sat, 6 Jul 2019 00:01:43 -0500
Subject: [PATCH] New package: libnsl-1.2.0

---
 common/shlibs           |  1 +
 srcpkgs/libnsl-devel    |  1 +
 srcpkgs/libnsl/template | 28 ++++++++++++++++++++++++++++
 3 files changed, 30 insertions(+)
 create mode 120000 srcpkgs/libnsl-devel
 create mode 100644 srcpkgs/libnsl/template

diff --git a/common/shlibs b/common/shlibs
index 8f92f249b4e..7f1814e75dd 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3476,3 +3476,4 @@ libgtk-4.so.0.9400.0 gtk4-3.94.0_1
 libmodule.so.4 libmodule-4.1.0_1
 libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
 libmhash.so.2 mhash-0.9.9.9_1
+libnsl.so.2 libnsl-1.2.0_1
diff --git a/srcpkgs/libnsl-devel b/srcpkgs/libnsl-devel
new file mode 120000
index 00000000000..f29b06bcb35
--- /dev/null
+++ b/srcpkgs/libnsl-devel
@@ -0,0 +1 @@
+libnsl
\ No newline at end of file
diff --git a/srcpkgs/libnsl/template b/srcpkgs/libnsl/template
new file mode 100644
index 00000000000..1d51fc6ed5d
--- /dev/null
+++ b/srcpkgs/libnsl/template
@@ -0,0 +1,28 @@
+# Template file for 'libnsl'
+pkgname=libnsl
+version=1.2.0
+revision=1
+build_style=gnu-configure
+hostmakedepends="pkg-config automake m4 libtool gettext-devel"
+makedepends="libtirpc-devel"
+short_desc="Public client interface for NIS(YP) and NIS+"
+maintainer="Andrew Benson <abenson+void@gmail.com>"
+license="LGPL-2.1-only"
+homepage="https://github.com/thkukuk/libnsl"
+distfiles="${homepage}/archive/v${version}.tar.gz"
+checksum=a5a28ef17c4ca23a005a729257c959620b09f8c7f99d0edbfe2eb6b06bafd3f8
+
+pre_configure() {
+	autoreconf -fi
+}
+
+libnsl-devel_package() {
+	short_desc+=" - development files"
+	depends="${sourcepkg}>=${version}"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.a"
+		vmove "usr/lib/*.so"
+	}
+}
